Package org.eclipse.birt.report.model.api.extension

# Interface IEncryptionHelper

public interface IEncryptionHelper
Defines the interface of encryption helper, which includes two methods for encryption and decryption.

## Method Summary

Modifier and Type
Method
Description
`String`
`decrypt(String string)`
Decrypts the given encrypted string, and returns the original string.
`String`
`encrypt(String string)`
Encrypts the given string, and returns the encrypted string.

## Method Details

### encrypt

String encrypt(String string)
Encrypts the given string, and returns the encrypted string.

Parameters:
  `string` - the string to encrypt
Returns:
  the encrypted string

### decrypt

String decrypt(String string)
Decrypts the given encrypted string, and returns the original string.

Parameters:
  `string` - the string to decrypt
Returns:
  the original string